# OpenLayers.Format.WFSDescribeFeatureType

Read WFS DescribeFeatureType response

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WFSDescribeFeatureType | Read WFS DescribeFeatureType response
Properties |
regExes | Compiled regular expressions for manipulating strings.
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
Constructor |
OpenLayers.Format.WFSDescribeFeatureType | Create a new parser for WFS DescribeFeatureType responses.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
Functions |
readRestriction | Reads restriction defined in the child nodes of a restriction element
read |

### Properties

### regExes

Compiled regular expressions for manipulating strings.

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### Constructor

### OpenLayers.Format.WFSDescribeFeatureType

Create a new parser for WFS DescribeFeatureType responses.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### Functions

### readRestriction

> readRestriction: function( | node,
> | obj | )

Reads restriction defined in the child nodes of a restriction element

#### Parameters

node | {DOMElement} the node to parse
obj | {Object} the object that receives the read result

### read

> read: function( | data | )

#### Parameters

data | {DOMElement|String} A WFS DescribeFeatureType document.

#### Returns

{Object} An object representing the WFS DescribeFeatureType response.

> readRestriction: function( | node,
> | obj | )

Reads restriction defined in the child nodes of a restriction element

> read: function( | data | )

Read and write XML.
Close